Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.result.impl
Class AbstractResult

    java.lang.Object
      org.jboss.portal.search.result.impl.AbstractResult

All Implemented Interfaces:
  java.lang.Comparable, Result

Direct Known Subclasses:
  SimpleResult

    public abstract class AbstractResult

extends java.lang.Object
implements Result, java.lang.Comparable

Version:
  $Revision: 8784 $
Author:
  Thomas Heute

Constructor Summary
`AbstractResult(java.lang.String federatedId)`

Method Summary
`int` | `compareTo(java.lang.Object anotherResult)`
`java.lang.String` | `getFederatedId()`
`float` | `getScore()`
`org.jboss.portal.common.i18n.LocalizedString` | `getTitle()`
`org.jboss.portal.common.i18n.LocalizedString` | `getType()`
`ResultURL` | `getURL()`
`void` | `setScore(float score)`
`void` | `setTitle(org.jboss.portal.common.i18n.LocalizedString title)`
`void` | `setType(org.jboss.portal.common.i18n.LocalizedString type)`
`void` | `setURL(ResultURL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResult

    public AbstractResult(java.lang.String federatedId)

Method Detail

### getURL

    public ResultURL getURL()

  Specified by:
    `getURL` in interface `Result`

### setURL

    public void setURL(ResultURL url)

### getFederatedId

    public java.lang.String getFederatedId()

### getScore

    public float getScore()

  Specified by:
    `getScore` in interface `Result`

### setScore

    public void setScore(float score)

### getTitle

    public org.jboss.portal.common.i18n.LocalizedString getTitle()

  Specified by:
    `getTitle` in interface `Result`

### setTitle

    public void setTitle(org.jboss.portal.common.i18n.LocalizedString title)

### getType

    public org.jboss.portal.common.i18n.LocalizedString getType()

  Specified by:
    `getType` in interface `Result`

### setType

    public void setType(org.jboss.portal.common.i18n.LocalizedString type)

### compareTo

    public int compareTo(java.lang.Object anotherResult)
                  throws java.lang.ClassCastException

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Throws:
    `java.lang.ClassCastException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD